unit main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs,DataMatrixEncodeDLL, ExtCtrls, StdCtrls;

type
  TForm1 = class(TForm)
    Image1: TImage;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    ComboBox1: TComboBox;
    Label2: TLabel;
    Edit1: TEdit;
    Label3: TLabel;
    Edit2: TEdit;
    Label4: TLabel;
    Edit3: TEdit;
    Label6: TLabel;
    Edit5: TEdit;
    ColorBox1: TColorBox;
    ColorBox2: TColorBox;
    Label7: TLabel;
    Label8: TLabel;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var
 ctx : TDATAMATRIXCONTEXT;
 s : string;
 i : Integer;
 bmp : HBITMAP;
 img : TBitmap;
 pCtx : LPDATAMATRIXCONTEXT;
begin
 pCtx := @ctx;
 InitWorkSpace(pCtx);
 	ctx.encoding := ComboBox1.ItemIndex;

	ctx.nMargin := strtoInt(Edit1.Text);
	ctx.sizePattern := strtoInt(Edit3.Text);
//	ctx.row := strtoInt(Edit4.Text);
	ctx.dotPixel := strtoInt(Edit2.Text);
	ctx.clBackGround := $00FFFFFF;//ColorBox1.color and $00FFFFFF;
	ctx.clForeGround := 0;//ColorBox2.color and $00FFFFFF;
	if (Edit5.Text <> '') then StrMove(@Ctx.code,PChar(Edit5.Text),Length(Edit5.Text));
        ctx.size := Length(Edit5.Text);
        image1.Picture.CleanupInstance;
   img := TBitmap.Create;

   bmp := DataMatrixEncode2Bitmap(pCtx);

   img.Handle := bmp;
   image1.Picture.Assign(img);
   img.Free;
   ShowMessage('Make DataMatrix barcode successfully');
   FreeWorkSpace();
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
 ColorBox1.ItemIndex := 15;
end;

procedure TForm1.Button2Click(Sender: TObject);
var
 ctx : TDATAMATRIXCONTEXT;
 s : string;
 i : Integer;
 bmp : HBITMAP;
 img : TBitmap;
 pCtx : LPDATAMATRIXCONTEXT;
begin
 pCtx := @ctx;
 InitWorkSpace(pCtx);
 	ctx.encoding := ComboBox1.ItemIndex;

	ctx.nMargin := strtoInt(Edit1.Text);
	ctx.sizePattern := strtoInt(Edit3.Text);
//	ctx.row := strtoInt(Edit4.Text);
	ctx.dotPixel := strtoInt(Edit2.Text);
//	ctx.clBackGround := ColorBox1.color;
//	ctx.clForeGround := ColorBox2.color;
	if (Edit5.Text <> '') then StrMove(@Ctx.code,PChar(Edit5.Text),Length(Edit5.Text));
        ctx.size :=  Length(Edit5.Text);
        image1.Picture.CleanupInstance;
   DataMatrixEncode2File(pCtx,PChar('c:\1.bmp'));

   image1.Picture.LoadFromFile('c:\1.bmp');
   ShowMessage('Make DataMatrix barcode successfully and save to c:\1.bmp');
   FreeWorkSpace();
end;

end.
